Merge "vpp: run 'make test-dep' for all OS variants."
authorPeter Mikus <pmikus@cisco.com>
Tue, 16 Nov 2021 07:00:24 +0000 (07:00 +0000)
committerGerrit Code Review <gerrit@fd.io>
Tue, 16 Nov 2021 07:00:24 +0000 (07:00 +0000)
17 files changed:
docker/scripts/dbld_lfit_requirements.sh
docker/scripts/dbld_vpp_install_packages.sh
docker/scripts/lib_vpp.sh
jenkins-config/clouds/openstack/FDIOVEX-CI/centos7-builder-2c-2g.cfg
jenkins-config/clouds/openstack/FDIOVEX-CI/centos7-builder-4c-4g.cfg
jenkins-config/clouds/openstack/FDIOVEX-CI/centos7-docker-2c-2g.cfg
jenkins-config/clouds/openstack/FDIOVEX-CI/centos7-docker-4c-4g.cfg
jenkins-config/clouds/openstack/FDIOVEX-CI/ubuntu2004-builder-4c-4g.cfg
jjb/csit/csit-perf.yaml
jjb/csit/csit.yaml
jjb/scripts/packagecloud_push.sh [changed mode: 0644->0755]
jjb/scripts/setup_vpp_dpdk_dev_env.sh [deleted file]
jjb/scripts/setup_vpp_ext_deps.sh [new file with mode: 0755]
jjb/scripts/setup_vpp_ubuntu_docker_test.sh [changed mode: 0644->0755]
jjb/tldk/tldk.yaml
jjb/vpp/vpp.yaml
packer/provision/local-builder.yaml

index 7067d99..b60e24d 100755 (executable)
@@ -53,6 +53,6 @@ mkdir -p "$LF_VENV"
 OLD_PATH="$PATH"
 python3 -m venv "$LF_VENV"
 PATH="$LF_VENV/bin:$PATH"
-python3 -m pip install --upgrade pip
+python3 -m pip install --upgrade pip==21.2.4
 python3 -m pip install --upgrade --upgrade-strategy eager lftools
 PATH="$OLD_PATH"
index aa34c1b..d6e5262 100755 (executable)
@@ -71,12 +71,16 @@ for branch in ${VPP_BRANCHES[$OS_NAME]} ; do
         exit 1
     fi
     # Install/cache python packages
+    make_vpp_test "test-dep" "$branch"
     if [ "$OS_ID" = "ubuntu" ] ; then
-        make_vpp_test "test-dep" "$branch"
+         # TODO: Remove make test-doc after VPP 21.06 and 21.10 are no longer supported
+        #       which is deprecated in master (VPP 22.02)
         make_vpp_test "doc" "$branch"
         make_vpp test-wipe "$branch"
-        make_vpp "bootstrap-doxygen" "$branch"
     fi
+    # Clean up virtual environment
+    git checkout -q -- .
+    git clean -qfdx
 
     # Dump packages installed
     case "$DOCKERFILE_FROM" in
index 4e7a480..491b75f 100644 (file)
@@ -99,8 +99,8 @@ docker_build_setup_vpp() {
 #       to create an enumerated set of jobs jobs that match the
 #       definitions here.
 declare -A VPP_BRANCHES
-VPP_BRANCHES["centos-8"]="stable/2101 stable/2106 stable/2110 master"
-VPP_BRANCHES["debian-10"]="stable/2101 stable/2106 stable/2110 master"
-VPP_BRANCHES["ubuntu-18.04"]="stable/2101 stable/2106 stable/2110 master"
-VPP_BRANCHES["ubuntu-20.04"]="stable/2101 stable/2106 stable/2110 master"
+VPP_BRANCHES["centos-8"]="stable/2106 stable/2110 master"
+VPP_BRANCHES["debian-10"]="stable/2106 stable/2110 master"
+VPP_BRANCHES["ubuntu-18.04"]="stable/2106 stable/2110 master"
+VPP_BRANCHES["ubuntu-20.04"]="stable/2106 stable/2110 master"
 export VPP_BRANCHES
index afdaad5..7dc2de8 100644 (file)
@@ -1,4 +1,3 @@
 IMAGE_NAME=ZZCI - CentOS 7 - builder - x86_64 - 20210930-221429.769
 LABELS=centos7-builder-2c-2g
 HARDWARE_ID=v3-standard-2
-VOLUME_SIZE=40
index b7d436d..6e15fe6 100644 (file)
@@ -1,4 +1,3 @@
 IMAGE_NAME=ZZCI - CentOS 7 - builder - x86_64 - 20210930-221429.769
 LABELS=centos7-builder-4c-4g
 HARDWARE_ID=v3-standard-4
-VOLUME_SIZE=40
index b750130..7b1ca5d 100644 (file)
@@ -1,4 +1,3 @@
 IMAGE_NAME=ZZCI - CentOS 7 - docker - x86_64 - 20210930-213141.243
 LABELS=centos7-docker-2c-2g
 HARDWARE_ID=v3-standard-2
-VOLUME_SIZE=20
index 9895b39..44ddb5c 100644 (file)
@@ -1,4 +1,3 @@
 IMAGE_NAME=ZZCI - CentOS 7 - docker - x86_64 - 20210930-213141.243
 LABELS=centos7-docker-4c-4g
 HARDWARE_ID=v3-standard-4
-VOLUME_SIZE=20
index b4502f6..3988228 100644 (file)
@@ -1,4 +1,3 @@
-IMAGE_NAME=ZZCI - Ubuntu 20.04 - builder - x86_64 - 20211027-163732.143
+IMAGE_NAME=ZZCI - Ubuntu 20.04 - builder - x86_64 - 20211108-170718.566
 LABELS=ubuntu2004-builder-4c-4g
 HARDWARE_ID=v3-standard-4
-VOLUME_SIZE=40
index 3ddf407..427fcb5 100644 (file)
             - 2n-clx:
                 os: 'ubuntu2004'
                 executor-arch: 'x86_64'
-                periodicity: '0 2 * * 1,3,5'
+                periodicity: '0 2,14 * * 1-5'
             - 2n-skx:
                 os: 'ubuntu2004'
                 executor-arch: 'x86_64'
-                periodicity: '0 2 * * 1,3,5'
+                periodicity: '0 2,14 * * 1-5'
             - 2n-dnv:
                 os: 'ubuntu2004'
                 executor-arch: 'x86_64'
-                periodicity: '0 2 * * 1,4'
+                periodicity: '0 2,14 * * 1-5'
             - 2n-zn2:
                 os: 'ubuntu2004'
                 executor-arch: 'x86_64'
-                periodicity: '0 2 * * 1,4'
+                periodicity: '0 2,14 * * 1-5'
             - 2n-tx2:
                 os: 'ubuntu2004'
                 executor-arch: 'aarch64'
-                periodicity: '0 2 * * 1,4'
+                periodicity: '0 14 * * 1-5'
             - 3n-skx:
                 os: 'ubuntu2004'
                 executor-arch: 'x86_64'
-                periodicity: '0 2 * * 1,4'
+                periodicity: '0 2,14 * * 1-5'
             - 3n-dnv:
                 os: 'ubuntu2004'
                 executor-arch: 'x86_64'
-                periodicity: '0 2 * * 1,4'
+                periodicity: '0 2,14 * * 1-5'
             - 3n-tsh:
                 os: 'ubuntu2004'
                 executor-arch: 'aarch64'
-                periodicity: '0 2 * * 4'
+                periodicity: '0 14 * * 1-5'
       - 'csit-vpp-perf-mrr-weekly-{stream}-{node-arch}':
           node-arch:
             - 2n-clx:
index 359c511..1040cf5 100644 (file)
           build-timeout: '{build-timeout}'
 
     triggers:
-      - timed: '0 14 * * 1,3,5'
+      - timed: '0 2,14 * * *'
 
     builders:
       - shell:
old mode 100644 (file)
new mode 100755 (executable)
index a4ae9b1..80226aa
@@ -40,38 +40,53 @@ sleep 10
 FACTER_OS=$(/usr/bin/facter operatingsystem)
 push_cmd=""
 push_ext_deps_cmd=""
+ext_deps_pkg=""
+downloads_dir="/root/Downloads"
+
+create_deb_push_cmds()
+{
+    local distro="$1"
+
+    if [ "$distro" = "debian" ] || [ "$distro" = "ubuntu" ] ; then
+        FACTER_LSBNAME=$(/usr/bin/facter lsbdistcodename)
+        DEBS=$(find . -type f -iname '*.deb' | grep -v vpp-ext-deps | xargs || true)
+        push_cmd="package_cloud push ${PCIO_CO}/${STREAM}/${distro}/${FACTER_LSBNAME}/main/ ${DEBS}"
+        ext_deps_ver="$(dpkg -l vpp-ext-deps | mawk '/vpp-ext-deps/{print $3}' || true)"
+        ext_deps_pkg="$(find . -type f -iname 'vpp-ext-deps*.deb' | grep $ext_deps_ver || find $downloads_dir -type f -iname 'vpp-ext-deps*.deb' | grep $ext_deps_ver || true)"
+        if [ -n "$ext_deps_pkg}" ] ; then
+            push_ext_deps_cmd="package_cloud push ${PCIO_CO}/${STREAM}/${distro}/${FACTER_LSBNAME}/main/ ${ext_deps_pkg}"
+        fi
+    else
+        echo "ERROR: Unknown distro: '$distro'"
+        return 1
+    fi
+}
+
+create_rpm_push_cmds()
+{
+    FACTER_OSMAJREL=$(/usr/bin/facter operatingsystemmajrelease)
+    FACTER_ARCH=$(/usr/bin/facter architecture)
+    RPMS=$(find . -type f -iregex '.*/.*\.\(s\)?rpm' | grep -v vpp-ext-deps | xargs || true)
+    push_cmd="package_cloud push ${PCIO_CO}/${STREAM}/el/${FACTER_OSMAJREL}/os/${FACTER_ARCH}/ ${RPMS}"
+    ext_deps_ver="$(dnf list vpp-ext-deps | mawk '/vpp-ext-deps/{print $2}' || true)"
+    ext_deps_pkg="$(find . -type f -iname 'vpp-ext-deps*.rpm' | grep $ext_deps_ver || find $downloads_dir -type f -iname 'vpp-ext-deps*.rpm' | grep $ext_deps_ver || true)"
+    if [ -n "$ext_deps_pkg" ] ; then
+        push_ext_deps_cmd="package_cloud push ${PCIO_CO}/${STREAM}/el/${FACTER_OSMAJREL}/os/${FACTER_ARCH}/ ${ext_deps_pkg}"
+    fi
+}
 
 # PCIO_CO and SILO are Jenkins Global Environment variables defined in
 # .../ci-management/jenkins-config/global-vars-*.sh
 if [ -f ~/.packagecloud ]; then
     case "$FACTER_OS" in
         Debian)
-            FACTER_LSBNAME=$(/usr/bin/facter lsbdistcodename)
-            DEBS=$(find . -type f -iname '*.deb' | grep -v vpp-ext-deps)
-            push_cmd="package_cloud push ${PCIO_CO}/${STREAM}/debian/${FACTER_LSBNAME}/main/ ${DEBS}"
-            EXT_DEPS_DEB=$(find . -type f -iname 'vpp-ext-deps*.deb')
-            if [ -n "$EXT_DEPS_DEB" ] ; then
-                push_ext_deps_cmd="package_cloud push ${PCIO_CO}/${STREAM}/debian/${FACTER_LSBNAME}/main/ ${EXT_DEPS_DEB}"
-            fi
+            create_deb_push_cmds debian
             ;;
         Ubuntu)
-            FACTER_LSBNAME=$(/usr/bin/facter lsbdistcodename)
-            DEBS=$(find . -type f -iname '*.deb' | grep -v vpp-ext-deps)
-            push_cmd="package_cloud push ${PCIO_CO}/${STREAM}/ubuntu/${FACTER_LSBNAME}/main/ ${DEBS}"
-            EXT_DEPS_DEB=$(find . -type f -iname 'vpp-ext-deps*.deb')
-            if [ -n "$EXT_DEPS_DEB" ] ; then
-                push_ext_deps_cmd="package_cloud push ${PCIO_CO}/${STREAM}/ubuntu/${FACTER_LSBNAME}/main/ ${EXT_DEPS_DEB}"
-            fi
+            create_deb_push_cmds ubuntu
             ;;
         CentOS)
-            FACTER_OSMAJREL=$(/usr/bin/facter operatingsystemmajrelease)
-            FACTER_ARCH=$(/usr/bin/facter architecture)
-            RPMS=$(find . -type f -iregex '.*/.*\.\(s\)?rpm' | grep -v vpp-ext-deps)
-            push_cmd="package_cloud push ${PCIO_CO}/${STREAM}/el/${FACTER_OSMAJREL}/os/${FACTER_ARCH}/ ${RPMS}"
-            EXT_DEPS_RPM=$(find . -type f -iname 'vpp-ext-deps*.rpm')
-            if [ -n "$EXT_DEPS_RPM" ] ; then
-                push_ext_deps_cmd="package_cloud push ${PCIO_CO}/${STREAM}/el/${FACTER_OSMAJREL}/os/${FACTER_ARCH}/ ${EXT_DEPS_RPM}"
-            fi
+            create_rpm_push_cmds
             ;;
         *)
             echo -e "\n$line\n* ERROR: Unsupported OS '$FACTER_OS'\n* PACKAGECLOUD PUSH FAILED!\n$line\n"
@@ -86,10 +101,7 @@ if [ -f ~/.packagecloud ]; then
     else
         $push_cmd
         if [ -n "$push_ext_deps_cmd" ] ; then
-            # Don't fail script if vpp-ext-deps push fails.
-            set +e
-            $push_ext_deps_cmd
-            set -e
+            $push_ext_deps_cmd || true
         fi
     fi
 else
diff --git a/jjb/scripts/setup_vpp_dpdk_dev_env.sh b/jjb/scripts/setup_vpp_dpdk_dev_env.sh
deleted file mode 100644 (file)
index 2c55f16..0000000
+++ /dev/null
@@ -1,80 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2020 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-echo "---> jjb/scripts/setup_vpp_dpdk_dev_env.sh"
-
-set -e -o pipefail
-
-OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-
-function setup {
-    if [ -n "$REPO_NAME" ] ; then
-        echo "Installing vpp-ext-deps..."
-        REPO_URL="https://packagecloud.io/fdio/${STREAM}"
-        echo "REPO_URL: $REPO_URL"
-        INSTALL_URL="https://packagecloud.io/install/repositories/fdio/${STREAM}"
-        echo "INSTALL_URL: $INSTALL_URL"
-        # Setup by installing vpp-dev and vpp-lib
-        if [ "${OS_ID,,}" == "ubuntu" ] || [ "${OS_ID,,}" == "debian" ] ; then
-            if [ "${STREAM}" != "master" ]; then
-                echo "stream '${STREAM}' is not master: replacing packagecloud apt sources list with stream specific list"
-                sudo apt-get -y remove vpp-ext-deps || true
-                sudo rm -f /etc/apt/sources.list.d/fdio_master.list
-                curl -s $INSTALL_URL/script.deb.sh | sudo bash
-            fi
-            sudo apt-get update -qq || true
-            local vpp_ext_deps_version="$(apt-cache show vpp-ext-deps | mawk '/Version/ {print $2}' | head -1)"
-            local vpp_ext_deps_arch="$(apt-cache show vpp-ext-deps | mawk '/Architecture/ {print $2}' | head -1)"
-            local vpp_ext_deps_pkg="/root/Downloads/vpp-ext-deps_${vpp_ext_deps_version}_${vpp_ext_deps_arch}.deb"
-            if [ -f "$vpp_ext_deps_pkg" ] ; then
-                echo "Installing cached vpp-ext-deps pkg: $vpp_ext_deps_pkg"
-                sudo dpkg -i $vpp_ext_deps_pkg
-            else
-                echo "Installing vpp-ext-deps from packagecloud.io"
-                local force_opts="--allow-downgrades --allow-remove-essential"
-                force_opts="$force_opts --allow-change-held-packages"
-                sudo apt-get -y $force_opts install vpp-ext-deps || true
-            fi
-            echo "Removing packagecloud.io repository references and running apt-get update"
-            sudo rm -f /etc/apt/sources.list.d/fdio_*.list
-            sudo apt-get update -qq || true
-        elif [ "${OS_ID,,}" == "centos" ] ; then
-            if [ "${STREAM}" != "master" ] ; then
-                echo "stream '${STREAM}' is not master: replacing packagecloud repo list with stream specific list"
-                sudo yum -y erase vpp-ext-deps || true
-                sudo yum clean all || true
-                sudo rm -f /etc/yum.repos.d/fdio_master.repo
-                curl -s $INSTALL_URL/script.rpm.sh | sudo bash
-            fi
-            local vpp_ext_deps_version="$(yum -q list vpp-ext-deps 2> /dev/null | mawk '/vpp-ext-deps/{print $2}')"
-            local vpp_ext_deps_pkg="$(yum -q list vpp-ext-deps 2> /dev/null | mawk '/vpp-ext-deps/{print $1}')"
-            vpp_ext_deps_pkg="/root/Downloads/${vpp_ext_deps_pkg/./-${vpp_ext_deps_version}.}.rpm"
-            if [ -f "$vpp_ext_deps_pkg" ] ; then
-                echo "Installing cached vpp-ext-deps pkg: $vpp_ext_deps_pkg"
-                sudo yum -y localinstall $vpp_ext_deps_pkg || true
-            else
-                echo "Installing vpp-ext-deps from packagecloud.io"
-                sudo yum -y install vpp-ext-deps || true
-            fi
-        else
-            echo "ERROR: Unsupported OS '$OS_ID'!"
-        fi
-    else
-        echo "ERROR: REPO_NAME not found!"
-    fi
-}
-
-setup
diff --git a/jjb/scripts/setup_vpp_ext_deps.sh b/jjb/scripts/setup_vpp_ext_deps.sh
new file mode 100755 (executable)
index 0000000..1ca982d
--- /dev/null
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+# Copyright (c) 2021 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/setup_vpp_ext_deps.sh"
+
+set -e -o pipefail
+
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+
+echo "Installing vpp-ext-deps..."
+REPO_URL="https://packagecloud.io/fdio/${STREAM}"
+echo "REPO_URL: $REPO_URL"
+INSTALL_URL="https://packagecloud.io/install/repositories/fdio/${STREAM}"
+echo "INSTALL_URL: $INSTALL_URL"
+
+downloads_dir="/root/Downloads"
+
+# Setup by installing vpp-dev and vpp-lib
+if [ "${OS_ID,,}" == "ubuntu" ] || [ "${OS_ID,,}" == "debian" ] ; then
+    if [ "${STREAM}" != "master" ]; then
+        echo "stream '${STREAM}' is not master: replacing packagecloud apt sources list with stream specific list"
+        sudo apt-get -y remove vpp-ext-deps || true
+        sudo rm -f /etc/apt/sources.list.d/fdio_master.list
+        curl -s $INSTALL_URL/script.deb.sh | sudo bash || true
+    fi
+    sudo apt-get update -qq || true
+    vpp_ext_deps_version="$(apt-cache show vpp-ext-deps | mawk '/Version/ {print $2}' | head -1)"
+    vpp_ext_deps_arch="$(apt-cache show vpp-ext-deps | mawk '/Architecture/ {print $2}' | head -1)"
+    vpp_ext_deps_pkg="vpp-ext-deps_${vpp_ext_deps_version}_${vpp_ext_deps_arch}.deb"
+    if [ -f "$downloads_dir/$vpp_ext_deps_pkg" ] ; then
+        echo "Installing cached vpp-ext-deps pkg: $downloads_dir/$vpp_ext_deps_pkg"
+        sudo dpkg -i "$downloads_dir/$vpp_ext_deps_pkg" || true
+    else
+        echo "Installing vpp-ext-deps from packagecloud.io"
+        force_opts="--allow-downgrades --allow-remove-essential --allow-change-held-packages"
+        sudo apt-get -y $force_opts install vpp-ext-deps || true
+    fi
+    echo "Removing packagecloud.io repository references and running apt-get update"
+    sudo rm -f /etc/apt/sources.list.d/fdio_*.list
+    sudo apt-get update -qq || true
+#TODO: Remove centos when VPP 21.06 is no longer supported
+elif [ "${OS_ID,,}" == "centos" ] ; then
+    if [ "${STREAM}" != "master" ] ; then
+        echo "stream '${STREAM}' is not master: replacing packagecloud repo list with stream specific list"
+        sudo yum -y erase vpp-ext-deps || true
+        sudo yum clean all || true
+        sudo rm -f /etc/yum.repos.d/fdio_master.repo
+        curl -s $INSTALL_URL/script.rpm.sh | sudo bash || true
+    fi
+    vpp_ext_deps_version="$(yum -q list vpp-ext-deps 2> /dev/null | mawk '/vpp-ext-deps/{print $2}')"
+    vpp_ext_deps_pkg="$(yum -q list vpp-ext-deps 2> /dev/null | mawk '/vpp-ext-deps/{print $1}')"
+    vpp_ext_deps_pkg="${vpp_ext_deps_pkg/./-${vpp_ext_deps_version}.}.rpm"
+    if [ -f "$vpp_ext_deps_pkg" ] ; then
+        echo "Installing cached vpp-ext-deps pkg: $vpp_ext_deps_pkg"
+        sudo yum -y localinstall "$downloads_dir/$vpp_ext_deps_pkg" || true
+   else
+        echo "Installing vpp-ext-deps from packagecloud.io"
+        sudo yum -y install vpp-ext-deps || true
+    fi
+else
+    echo "ERROR: Unsupported OS '$OS_ID'!"
+fi
old mode 100644 (file)
new mode 100755 (executable)
index 8ed0aca..548ac56
@@ -1,7 +1,7 @@
 #!/bin/bash
 
 ##############################################################################
-# Copyright (c) 2018 The Linux Foundation and others.
+# Copyright (c) 2021 The Linux Foundation and others.
 #
 # All rights reserved. This program and the accompanying materials
 # are made available under the terms of the Eclipse Public License v1.0
@@ -30,17 +30,3 @@ if [ -n ${DOCKER_TEST} ] ; then
        sudo mount -o remount /dev/shm -o size=${MEM} || true
         echo "/dev/shm remounted with size='${MEM}'"
 fi
-
-# This will remove any previously installed external packages
-# for old branch builds
-if [ "${GERRIT_BRANCH}" != "master" ]; then
-    echo "Removing $OS_ID-$OS_VERSION_ID package 'vpp-ext-deps'"
-    if [ "${OS_ID,,}" == "ubuntu" ] || [ "${OS_ID,,}" == "debian" ] ; then
-        sudo apt-get -y remove vpp-ext-deps || true
-    elif [ "${OS_ID,,}" == "centos" ]; then
-        sudo yum -y erase vpp-ext-deps || true
-        sudo yum clean all || true
-    else
-        echo "ERROR: Unsupported OS '$OS_ID'!"
-    fi
-fi
index 9a2638b..0d132f0 100644 (file)
@@ -21,7 +21,7 @@
 
     project: 'tldk'
     os:
-      - ubuntu1604
+      - ubuntu2004
     stream:
       - master:
           branch: 'master'
index f5164aa..ed47058 100644 (file)
@@ -84,6 +84,8 @@
       # OS deprecated in master
       - stream: 'master'
         os: 'centos8'
+      - stream: 'master'
+        os: 'ubuntu1804'
       # OS deprecated on 2110
       - stream: '2110'
         os: 'centos8'
       # OS deprecated in master
       - stream: 'master'
         os: 'centos8'
+      - stream: 'master'
+        os: 'ubuntu1804'
       # OS deprecated in 2110
       - stream: '2110'
         os: 'centos8'
           - ../scripts/setup_vpp_ubuntu_docker_test.sh
       - shell:
           !include-raw-escape:
-          - ../scripts/setup_vpp_dpdk_dev_env.sh
+          - ../scripts/setup_vpp_ext_deps.sh
       - shell:
           !include-raw-escape:
           - ../scripts/vpp/build.sh
       - make-test-os-parameter:
           make-test-os: '{make-test-os}'
       - os-parameter:
-          os: 'ubuntu1804'
+          os: '{os}'
       - project-parameter:
           project: '{project}'
       - stream-parameter:
           - ../scripts/setup_vpp_ubuntu_docker_test.sh
       - shell:
           !include-raw-escape:
-          - ../scripts/setup_vpp_dpdk_dev_env.sh
+          - ../scripts/setup_vpp_ext_deps.sh
       - shell:
           !include-raw-escape:
           - ../scripts/vpp/debug-build.sh
           - ../scripts/setup_vpp_ubuntu_docker_test.sh
       - shell:
           !include-raw-escape:
-          - ../scripts/setup_vpp_dpdk_dev_env.sh
+          - ../scripts/setup_vpp_ext_deps.sh
       - shell:
           !include-raw-escape:
           - ../scripts/vpp/build.sh
           - ../scripts/setup_vpp_ubuntu_docker_test.sh
       - shell:
           !include-raw-escape:
-          - ../scripts/setup_vpp_dpdk_dev_env.sh
+          - ../scripts/setup_vpp_ext_deps.sh
       - shell:
           !include-raw-escape:
           - ../scripts/vpp/gcc-build.sh
           - ../scripts/setup_vpp_ubuntu_docker_test.sh
       - shell:
           !include-raw-escape:
-          - ../scripts/setup_vpp_dpdk_dev_env.sh
+          - ../scripts/setup_vpp_ext_deps.sh
       - shell:
           !include-raw-escape:
           - ../scripts/vpp/csit-device.sh
           - ../scripts/setup_vpp_ubuntu_docker_test.sh
       - shell:
           !include-raw-escape:
-          - ../scripts/setup_vpp_dpdk_dev_env.sh
+          - ../scripts/setup_vpp_ext_deps.sh
       - shell:
           !include-raw-escape:
           - ../scripts/vpp/csit-device.sh
           - ../scripts/setup_vpp_ubuntu_docker_test.sh
       - shell:
           !include-raw-escape:
-          - ../scripts/setup_vpp_dpdk_dev_env.sh
+          - ../scripts/setup_vpp_ext_deps.sh
       - shell:
           !include-raw-escape:
           - ../scripts/vpp/csit-perf.sh
index 187cc64..96c1b8a 100644 (file)
@@ -60,6 +60,7 @@
           - libsvn1
           - linux-libc-dev
           - python3-pyelftools
+          - python3-scapy
           - libnuma-dev
           - meson
       when: ansible_distribution == 'Ubuntu'